Announcement

Collapse
No announcement yet.

Mysql version and database import.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Wayne Luke
    replied
    possibly... global find and replace has to be monitored. If you have a engine field in the deletionlog table, rename it to type via PHPMyADMIN.

    Leave a comment:


  • Tensha
    replied
    Originally posted by Wayne Luke View Post
    If you look at the deletionlog table in phpMyAdmin does it have the type field? This is a standard field that should be there. Does it occur in your database backup?
    it may have been deleted by me when replacing type with engine?

    Leave a comment:


  • Wayne Luke
    replied
    If you look at the deletionlog table in phpMyAdmin does it have the type field? This is a standard field that should be there. Does it occur in your database backup?

    Leave a comment:


  • Tensha
    replied
    Unexpected Text:
    <?xml version="1.0" encoding="windows-1252"?>


    Database error in vBulletin 4.2.1 Alpha 1:



    [Showing truncated query, original length: 1327]
    [First 100 chars]
    Invalid SQL:


    INSERT INTO node(contenttypeid, parentid, routeid, title, htmltitle, userid, author
    [Last 100 chars]
    did AND dl.type = 'thread'
    WHERE th.threadid > 0 AND th.threadid < (0 + 500) ORDER BY th.threadid;


    MySQL Error : Unknown column 'dl.type' in 'on clause'
    Error Number : 1054
    Request Date : Wednesday, November 28th 2012 @ 12:32:21 PM
    Error Date : Wednesday, November 28th 2012 @ 12:32:21 PM
    Script : http:///vb5/core/install/upgrade.php
    Referrer :
    http://www.mouseclickers.it/vb5/core...ll/upgrade.php
    IP Address : 93.50.1.89
    Username :
    Classname : vB_Database
    MySQL Version : 5.5.28-29.1-log


    I have this error when try upgrade...

    Leave a comment:


  • Wayne Luke
    replied
    Most linux hosts support mod_rewrite by default... If you don't know then all you need to do is ask your host: "Do you support mod_rewrite?"

    They'll probably say yes and you're good to go. If they say no, you'll have to ask them to add it.

    Leave a comment:


  • Tensha
    replied
    I have imported the database on 5.1.5, so i think i good gone?

    can you explain this part of the tutorial? : vBulletin 5 Requires URL Rewriting. This will be mod_rewrite or its equivalent under Apache and URL Rewrite under IIS. There is an .htaccess (Apache) file and web.config (IIS) included in the upload folder for this purpose. The software will not work without URL Rewriting.

    I have just a normal linux host.

    Leave a comment:


  • Wayne Luke
    replied
    In your second screenshot, the important word is Engine, not MYISAM. If it said "Type" instead of "ENGINE" the import into the newer database would fail.

    Leave a comment:


  • Tensha
    replied
    Please explain more, i dont understand very well.

    I have already MYISAM on my table: http://img443.imageshack.us/img443/9194/mylsam.png

    Is this OK? ----> http://img837.imageshack.us/img837/4505/rightmy.png
    Last edited by Tensha; Tue 27 Nov '12, 11:21am. Reason: Add image

    Leave a comment:


  • Wayne Luke
    replied
    You would need to change it in your Database backup. It will say "Type = MYISAM" or something similar for each table.

    Leave a comment:


  • Tensha
    replied
    Mh.
    I need to change just the word type to engine, or for example:

    classtype value to classengine


    ​?

    Leave a comment:


  • Trevor Hannant
    replied
    That should work fine - if you're having any difficulties with the transfer, your host should be able to help further

    Leave a comment:


  • Tensha
    started a topic Mysql version and database import.

    Mysql version and database import.

    I have this error:

    vBulletin 5 requires MySQL version 5.1.5 or greater. Your MySQL is version 5.0.92-enterprise-gpl-log, please ask your host to upgrade.


    So, my hosting provider says me : We can give you a new database 5.1.5. OK.

    But my question is, how can i import my old database(create on 5.0.92) on new 5.1.5 for upgrade at vb5 and have all my post etc. ?

    My hosting provider says: export, change TYPE to ENGINE on mysql file, then import on new. Is this the correct strategy?

Related Topics

Collapse

Working...
X